<h1>Вход</h1>
<?php
if(isset($_POST["loginsub"])){
	db_connect();
	$res = db_query("SELECT `id` FROM `".DBpref."users` WHERE `login` = '".db_string($_POST["login"])."' AND `pass` = '".heshPass($_POST["pass"])."'");
	
	$err = NULL;
	if(db_rows($res) == 0)
		$err .= "<li>Веденная Вами комбинация логина и пароля не найденна</li>";
		
	if($err == NULL){
		$_SESSION["login"] = $_POST["login"];
		
		db_query("UPDATE `".DBpref."users` SET `ip` = '".getIP()."', `logdat` = '".date("Y-m-d H:i:s")."' WHERE `login` = '".db_string($_POST["login"])."'");
		
		echo "
		Вы успешно авторизировались
			<script type='text/javascript'>
				location.replace('/?p=profile');
			</script>
		";
		
		$loginok = true;
	}else{
		echo "<ul>".$err."</ul>";
	}
	
	db_close();
}
?>
<form action="/?p=login" method="post">
<table class="table2">
  <tr>
    <td>Логин</td>
    <td><input name="login" type="text" size="30" maxlength="30" value="<?php echo htmlspecialchars($_POST["login"]); ?>" /></td>
  </tr>
  <tr>
    <td>Пароль</td>
    <td><input name="pass" type="password" size="30" maxlength="25" /> - <a href="/?p=repass">Забыли пароль?</a></td>
  </tr>
  <tr>
    <td></td>
    <td><input name="loginsub" type="submit" value="Войти" /></td>
  </tr>
</table>
</form>